Core - Bug # 55662

Status: Resolved Priority: Should have
Author: Jan Kiesewetter Category: Backend API
Created: 2014-02-04 Assigned To:

Updated: 2014-04-04 Due date:

TYPO3 Version: 6.2

PHP Version: 53

Complexity: easy

Is Regression: No

Sprint Focus:

Subject: PHP Warning preg_replace in current master

Description

| get a PHP warning in the current master:

PHP Warning

PHP Warning: preg_replace(): Unknown modifier 'I' in typo3_src-git/typo3/sysext/core/Classes/Utility/ExtensionManagementUtility.php
line 634

Seems to be related to commit aa37842bd4468c9313bd98c97d6d2d76ad44e6b5

Related issues:
related to Core - Task # 55122: Cleanup and optimize methods in ExtensionMana... Resolved 2014-01-18

Associated revisions

Revision eaad1327 - 2014-04-04 17:13 - Philipp Bergsmann

[BUGFIX] PHP warning due to missing preg_quote

Fixing a missing preg_quote() call in ExtensionManagementUltility,
which causes a PHP warning and a failing preg_match().

Resolves: #55662

Releases: 6.2

Change-Id: laf1e21546741ae282016f433bf83f7e5663e3c7b
Reviewed-on: https://review.typo3.org/29145

Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Pascal Diirsteler
Tested-by: Pascal Dirsteler
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History

#1 - 2014-02-04 17:26 - Jan Kiesewetter

Sorry, wrong PHP version.

It's 5.3
https://review.typo3.org/29145

#2 - 2014-04-04 11:29 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/29145

#3 - 2014-04-04 11:31 - Markus Klein
- Category set to Backend API

- PHP Version changed from 5.2 to 5.3
- Complexity set to easy

#4 - 2014-04-04 11:37 - Philipp Bergsmann

For example one fieldReplacePattern which doesn't work for me: /(?:7|,)\s*\bLLL:EXT:lang/locallang_tca.xlf:sys_category.tabs.category\b[*,$]*/

#5 - 2014-04-04 11:39 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/29145

#6 - 2014-04-04 17:30 - Philipp Bergsmann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:eaad1327dd56f195¢c43666236c5d8266dfaébfcc.

2015-08-04 22


https://review.typo3.org/29145
https://review.typo3.org/29145

